Bug 438270 - Change Dogtag Certificate System Hostname
Change Dogtag Certificate System Hostname
Status: CLOSED NOTABUG
Product: Dogtag Certificate System
Classification: Community
Component: Other (Show other bugs)
1.0
All Linux
low Severity low
: 1.0
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2008-03-19 19:03 EDT by Matthew Harmsen
Modified: 2015-01-04 18:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 17:53:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Harmsen 2008-03-19 19:03:25 EDT
The current hostname of Dogtag Certificate System is:

    pki-svn.fedora.redhat.com

It has been requested that this needs to be changed to:

    pki.fedoraproject.org
Comment 1 Matthew Harmsen 2008-03-19 19:06:27 EDT
Rob Crittenden has provided the following instruction on how to fix this issue:
===============================================================================

File a ticket to get a new DNS entry at
https://fedorahosted.org/fedora-infrastructure/

You need to request a CNAME of pki.fedoraproject.org that points to
cvs.nscp.hosted.redhat.com

I'd specifically request that the name pki-svn.fedora.redhat.com remain.

Once the DNS is updated you'll want to update the current mod_rewrite rules in
/etc/httpd/conf/httpd.conf to use the new name. You'll also need to add lines
something like this (these should be first):

RewriteCond %{HTTP_HOST} ^pki-svn.fedora.redhat.com [NC]
RewriteRule ^/(.*) http://pki.fedoraproject.org/$1 [L,R=301]
 
Comment 2 Matthew Harmsen 2008-03-20 17:39:42 EDT
Filed Ticket #456 (new bug).
Comment 3 Matthew Harmsen 2008-03-20 18:25:42 EDT
Ticket #456 was fixed:

[dennis@thor ~]$ dig pki.fedoraproject.org

; <<>> DiG 9.3.3rc2 <<>> pki.fedoraproject.org ;; global options: printcmd ;;
Got answer: ;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 17104 ;; flags:
qr rd ra; QUERY: 1, ANSWER: 2, AUTHORITY: 3, ADDITIONAL: 0

;; QUESTION SECTION: ;pki.fedoraproject.org. IN A

;; ANSWER SECTION: pki.fedoraproject.org. 3600 IN CNAME
cvs.nscp.hosted.redhat.com. cvs.nscp.hosted.redhat.com. 600 IN A 209.132.176.190

;; AUTHORITY SECTION: hosted.redhat.com. 600 IN NS ns1.redhat.com.
hosted.redhat.com. 600 IN NS ns2.redhat.com. hosted.redhat.com. 600 IN NS
ns3.redhat.com.

;; Query time: 333 msec ;; SERVER: 127.0.0.1#53(127.0.0.1) ;; WHEN: Thu Mar 20
17:03:43 2008 ;; MSG SIZE rcvd: 149

All done
Comment 4 Matthew Harmsen 2008-03-24 17:25:10 EDT
Rob Crittenden performed the necessary changes documented above.
Comment 6 Rob Crittenden 2008-03-25 10:04:57 EDT
Is O=redhat really the best choice in the subject?

Red Hat should always be two words and capitalized.
Comment 7 Matthew Harmsen 2008-03-25 11:56:59 EDT
Details of working with Chandra to re-issue the SSL Server Certificate:

certutil -S -n "Server-Cert" -s "CN=pki.fedoraproject.org,O=redhat,C=US" -t
"CTu,CTu,CTu" -x -v 12 -d .
Comment 8 Matthew Harmsen 2008-03-25 16:41:03 EDT
Revised SSL Server Certificate one more time:

certutil -S -n "Server-Cert" -s "CN=pki.fedoraproject.org" -t "CTu,CTu,CTu" -x
-v 12 -d .
Comment 9 Matthew Harmsen 2008-03-25 18:24:17 EDT
Changed "pki-svn.fedora.redhat.com" references to "pki.fedoraproject.org" on the
following Dogtag Wiki pages:

    PKI_Download
    PKI_Pre-Built_Support_Components
    
Comment 10 Chandrasekar Kannan 2008-08-26 20:26:46 EDT
Bug already MODIFIED. setting target CS8.0 and marking screened+

Note You need to log in before you can comment on or make changes to this bug.